package com.samelement.iot_notification.service;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import androidx.localbroadcastmanager.content.LocalBroadcastManager;

public class AlarmBroadcastReceiver extends BroadcastReceiver {
    public static final String ACTION_ONE_SHOT_ALARM = "com.samelement.iot_notification.service.SCHEDULE_ONE_SHOT_ALARM";
    public static final String ACTION_WEEKLY_ALARM = "com.samelement.iot_notification.service.SCHEDULE_WEEKLY_ALARM";

    @Override
    public void onReceive(Context context, Intent intent) {
        if (ACTION_ONE_SHOT_ALARM.equals(intent.getAction()) || ACTION_WEEKLY_ALARM.equals(intent.getAction())) {
            LocalBroadcastManager.getInstance(context).sendBroadcast(intent);
        }
    }
}